Retrieve a Service
curl --request GET \
--url https://api.siit.io/v1/services/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/services/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/services/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siit.io/v1/services/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siit.io/v1/services/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.siit.io/v1/services/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siit.io/v1/services/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sla_rule": "<string>",
"default_assignee": "<string>",
"uid": "<string>",
"about": "<string>",
"category": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"custom_form_input_configuration": [
{
"uid": "<string>",
"kind": "attachment",
"label": "<string>",
"multiple": true,
"options": [
"<string>"
],
"required": true,
"triggers_app_access": true
}
],
"is_restricted_to_audience": true,
"audience": {
"matchers": [
{
"data_point": "contract_type",
"comparator": "=",
"values": [
"<string>"
]
}
]
},
"enabled": true,
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"troubleshoot": "<string>"
}Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID of the Service
Response
Service show
SLA rule applied to the Service Requests. Expanded only for callers allowed to view SLA rules. Pass ?expand[]=field_name for full object.
The admin or Team inbox Requests for this Service are assigned to by default, null when none is set. Expand to distinguish them: only a Team inbox includes members. Expanding a Team inbox requires the admin.team_inboxes.read scope. Pass ?expand[]=field_name for full object.
The UID of the Service
The Service description
The category of this Service. Pass ?expand[]=field_name for full object.
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
Custom form input configuration for this Service
Show child attributes
Show child attributes
Whether only the audience can see it
People who can see the record when is_restricted_to_audience is true. A person matches when every matcher matches. Without a status matcher, status = employee is added. Writing it replaces all the matchers.
Show child attributes
Show child attributes
Indicates if the Service is enabled
The Service name
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
curl --request GET \
--url https://api.siit.io/v1/services/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/services/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/services/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siit.io/v1/services/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siit.io/v1/services/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.siit.io/v1/services/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siit.io/v1/services/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sla_rule": "<string>",
"default_assignee": "<string>",
"uid": "<string>",
"about": "<string>",
"category": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"custom_form_input_configuration": [
{
"uid": "<string>",
"kind": "attachment",
"label": "<string>",
"multiple": true,
"options": [
"<string>"
],
"required": true,
"triggers_app_access": true
}
],
"is_restricted_to_audience": true,
"audience": {
"matchers": [
{
"data_point": "contract_type",
"comparator": "=",
"values": [
"<string>"
]
}
]
},
"enabled": true,
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"troubleshoot": "<string>"
}
